function approx_int = composite_quadrature(f,a,b,n,rule)
%function approx_int = composite_quadrature(f,a,b,n)
%computes the approximate integral using composite quadrature rules
%rule A - Trapezoidal rule
%rule B - Simpsons rule
 

nodes = linspace(a,b,n+1);
%nodes contains endpoints of subintervals
h= abs(b-a)/n;

switch(rule)
    case('A')
        approx_int = (h/2)*(feval(f,nodes(1)) + 2.0*sum(feval(f,nodes(2:n))) + feval(f,nodes(n+1)));
    case('B')
        %implement your simpsons rule here.
end
        
        
        